package de.hsadmin.core.qserv;

import de.hsadmin.core.model.Transaction;

abstract public class AbstractProcessor implements Processor {

	private static final long serialVersionUID = -2401718681212973276L;

	@Override
	abstract public Object process() throws ProcessorException;

	@Override
	public void finalize(Transaction transaction, QueueTask task) throws ProcessorException {
		task.done();
	}

}
